textures/smoke/light_neontube
{
	qer_editorimage textures/metro/KOsAD_Neon.jpg
	q3map_surfaceLight 3000
        surfaceparm trans

	surfaceparm nomarks
	{
		map textures/metro/KOsAD_Neon.jpg
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin 0.9 .1 0 0.7
	}
	{
		map textures/metro/KOsAD_Neon.blend.jpg
		blendfunc GL_ZERO GL_SRC_COLOR
	}
}

textures/smoke/icebase16
{
	qer_editorimage textures/smoke/icebase16.tga
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	cull none
	nopicmip
	qer_trans 0.75
	polygonOffset
	{
		map textures/smoke/icebase16.tga
		blendFunc GL_ZERO GL_SRC_COLOR
	}
}

textures/smoke/skybox_snowy
{
	qer_editorimage env/niveus/snowy_bk.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_surfacelight 50
	q3map_sunExt 0.9 0.95 1 75 270 70 2 16
	skyParms env/niveus/snowy - -
}

textures/smoke/light_orange_small_10k
{
	qer_editorimage textures/sirius/sq_light_orange.tga
	surfaceparm nomarks
	q3map_surfacelight 10000
	{
		map textures/sirius/sq_light_orange.tga
	}
	{
		map $lightmap 
		blendfunc filter
	}
	{
		map textures/sirius/sq_light_orange.tga
		blendfunc add
	}
}

textures/smoke/Window_sky
{
	qer_editorimage textures/nexus6/scratchglass.jpg
	qer_trans 0.6

	surfaceparm nomarks
	surfaceparm trans

	{
		map textures/nexus6/scratchglass.jpg
		blendfunc filter
	}
}

textures/smoke/Window
{
	qer_editorimage textures/smoke/KOsAD_Window.jpg
	qer_trans 0.6

	surfaceparm nomarks
	surfaceparm trans

	{
		map textures/smoke/KOsAD_Window.jpg
		blendfunc filter
	}
	{
		map textures/smoke/glass03.jpg
		blendfunc filter
		//tcmod scale 4 4
		tcgen environment
	}
}

textures/smoke/exit
{
	surfaceparm nomarks
	surfaceparm trans
        qer_trans .6
	q3map_surfacelight 5000
	//q3map_lightRGB 1 .1 .1
	cull none
	sort nearest
	{
		map textures/smoke/exit.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 1.0 1 0 64
	}
}

textures/smoke/cubelight_blue_small_8k
{
	qer_editorimage textures/smoke/cubelight_32_blue.jpg
	surfaceparm nomarks
	q3map_surfacelight 8000
	//q3map_lightRGB 1 .1 .1
	{
		map textures/smoke/cubelight_32_blue.jpg
		blendFunc GL_ONE GL_ZERO
		rgbGen identity
	}
}

textures/smoke/cubelight_red
{
	qer_editorimage textures/smoke/cubelight_32_red.jpg
	surfaceparm nomarks
	q3map_surfacelight 20000
	//q3map_lightRGB 1 .1 .1
	{
		map textures/smoke/cubelight_32_red.jpg
		blendFunc GL_ONE GL_ZERO
		rgbGen identity
	}
}

textures/smoke/lift_fence
{
	qer_editorimage textures/smoke/fence.tga
	surfaceparm trans
//	surfaceparm nomarks
//	surfaceparm playerclip
//	surfaceparm solid
        qer_trans .5
	cull none
//	nopicmip
	{
		map textures/smoke/fence.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		//alphaFunc GE128
		//depthWrite
		rgbGen vertex
	}
}

textures/smoke/lift_metalstripes
{
	qer_editorimage textures/smoke/zincstripes.jpg
	{
		map textures/smoke/zincstripes.jpg
		blendFunc GL_ONE GL_ZERO
		rgbGen lightingDiffuse
	}
}

textures/smoke/lift_metalsheet
{
	qer_editorimage textures/smoke/zincsheet.jpg
	{
		map textures/smoke/zincsheet.jpg
		blendFunc GL_ONE GL_ZERO
		rgbGen lightingDiffuse
	}
}

textures/smoke/dust
{
	cull none
	entityMergable
	{
		map textures/smoke/dust.tga
		blendFunc add
		rgbGen vertex
	}
}


textures/smoke/sky_clouds
{
	q3map_lightimage textures/smoke/sky_clouds.tga
	qer_editorimage textures/smoke/sky_clouds.tga
	q3map_surfaceLight 500
	surfaceparm nomarks
	skyparms - 512 -
	{
		map textures/smoke/sky_clouds.tga
		blendfunc GL_ONE GL_ZERO
		tcMod scroll 0.005 0.005
	}
}

textures/smoke/red_light
{
	q3map_lightimage textures/smoke/red_light.tga
	qer_editorimage textures/smoke/red_light.tga
	q3map_surfaceLight 8000
        surfaceparm trans
	{
		map textures/smoke/red_light.tga
		blendfunc add
		rgbgen identity
		tcMod scale 0.125 0.125
		tcMod scroll 0.05 0.05
	}
}

textures/smoke/red_light_dead
{
	qer_editorimage textures/smoke/red_light_dead.tga
	q3map_lightimage textures/smoke/red_light_dead.tga
	q3map_surfaceLight 500
        surfaceparm trans
	{
		map textures/smoke/red_light_dead.tga
		blendfunc add
		rgbgen identity
		tcMod scale 0.125 0.125
	}

}

textures/smoke/green_light
{
	q3map_lightimage textures/smoke/green_light.tga
	q3map_surfaceLight 8000
        surfaceparm trans
	{
		map textures/smoke/green_light.tga
		blendfunc add
		rgbgen identity
		tcMod scale 0.125 0.125
		tcMod scroll 0.05 0.05
	}
}
textures/smoke/white_light
{
	q3map_lightimage textures/smoke/white_light.tga
	qer_editorimage textures/smoke/white_light.tga
	q3map_surfaceLight 9000
        surfaceparm trans
	{
		map textures/smoke/white_light.tga
		blendfunc add
		rgbgen identity
		tcMod scroll 0.005 0.005
	}
}

textures/smoke/light_fitting
{
	q3map_lightimage textures/smoke/light_fitting.jpg
	q3map_shadeangle 90
	{
		map textures/smoke/light_fitting.jpg
		blendfunc GL_ONE GL_ZERO
	}
	{
		map $lightmap
		blendfunc filter
	}
}

smoke/light_flare
{
	{
		map textures/smoke/flare_white.tga
		blendfunc add
	}

}

textures/smoke/grate
{
	//qer_editorimage textures/smoke/grate.tga
	surfaceparm alphashadow
	surfaceparm metalsteps
	cull none
	{
		map textures/smoke/grate.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
		rgbGen identity
	}
}

textures/smoke/water_flat_moving
{
        qer_editorimage textures/smoke/water.tga
        q3map_globaltexture
	q3map_surfaceLight 80
	{
		map textures/smoke/water.jpg
		blendfunc GL_ONE GL_ZERO
		tcmod scroll 0.01 0.01
		rgbgen identity
	}
	{
		map textures/smoke/water.jpg
		blendfunc GL_ONE GL_ONE
		tcmod scroll -0.01 -0.01
		rgbgen identity
	}
        {
                map $lightmap
                blendFunc filter
                rgbgen identity
        }
}


// by Jex, edited by Ingar
textures/smoke/water
{
        qer_editorimage textures/smoke/water.tga
        qer_trans .5
     // q3map_lightimage textures/smoke/water.tga
        q3map_globaltexture

        surfaceparm trans
        surfaceparm nonsolid
        surfaceparm water
	tessSize 32
        cull disable

        deformVertexes wave 64 sin .25 2.5 0 .5
	{
		map textures/smoke/water.jpg
		blendfunc add
		rgbgen identity
	}
        {
                map $lightmap
                blendFunc filter
                rgbgen identity
        }
}

textures/smoke/fog
{
	
        qer_editorimage textures/smoke/fog.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap

	surfaceparm fog
	fogparms ( 0.2 0.25 0.2 ) 240
}